---
lang: en
title: 'API docs: context-explorer.contextbinding'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/context-explorer
permalink: /doc/en/lb4/apidocs.context-explorer.contextbinding.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context-explorer](./context-explorer.md) &gt; [ContextBinding](./context-explorer.contextbinding.md)

## ContextBinding class

A wrapper class for context, binding, and its level in the chain

**Signature:**

```typescript
export declare class ContextBinding 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(context, binding, level)](./context-explorer.contextbinding._constructor_.md) |  | Constructs a new instance of the <code>ContextBinding</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [binding](./context-explorer.contextbinding.binding.md) | <code>readonly</code> | [JSONObject](./context.jsonobject.md) |  |
|  [context](./context-explorer.contextbinding.context.md) | <code>readonly</code> | [JSONObject](./context.jsonobject.md) |  |
|  [id](./context-explorer.contextbinding.id.md) | <code>readonly</code> | string |  |
|  [level](./context-explorer.contextbinding.level.md) | <code>readonly</code> | number |  |


